# $Revision: 1.16 $, $Date: 2004/05/08 19:04:54 $
#
# Conditional build:
%bcond_without	tests	# Do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Data
%define		pnam	UUID
Summary:	Data::UUID - Perl extension for generating GUIDs/UUIDs
Summary(pl):	Data::UUID - rozszerzenie Perla do generowania GUID-w/UUID-w
Name:		perl-Data-UUID
Version:	0.11
Release:	2
License:	distributable
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	669b9935baf1753eca784dd30b9ad4b1
Patch0:		%{name}-types.patch
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module provides a framework for generating UUIDs (Universally
Unique Identifiers, also known as GUIDs (Globally Unique Identifiers).
A UUID is 128 bits long, and is guaranteed to be different from all
other UUIDs/GUIDs generated until 3400 A.D. UUIDs were originally used
in the Network Computing System (NCS) and later in the Open Software
Foundation's (OSF) Distributed Computing Environment. Currently many
different technologies rely on UUIDs to provide unique identity for
various software components.

%description -l pl
Modu Perla Data::UUID udostpnia szkielet do generowania UUID-w
(Universally Unique Identifiers - identyfikatorw unikalnych
powszechnie), znanych te jako GUID-y (Globally Unique Identifiers -
identyfikatory unikalne globalnie). UUID-y s 128-bitowe i
gwarantowana jest ich unikalno wrd wszyskich innych UUID-w/
/GUID-w wygenerowanych do roku 3400. UUID-y pierwotnie byy uywane w
Network Computing System (NCS), a pniej w Rozproszonym rodowisku
Obliczeniowym (Distributed Computing Environment) Fundacji Open
Software (OSF). Obecnie na zagwarantowanych przez UUID-y unikalnych
identyfikatorach dla rnych skadnikw oprogramowania opartych jest
wiele rnych technologii

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}
%patch0 -p1

%build
%{__perl} Makefile.PL </dev/null \
	INSTALLDIRS=vendor
%{__make} \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorarch}/Data/UUID.pm
%dir %{perl_vendorarch}/auto/Data/UUID
%{perl_vendorarch}/auto/Data/UUID/*.ix
%{perl_vendorarch}/auto/Data/UUID/UUID.bs
%attr(755,root,root) %{perl_vendorarch}/auto/Data/UUID/UUID.so
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Data-UUID.spec,v $
Revision 1.16  2004/05/08 19:04:54  qboosh
- added types patch (for 64-bit archs); release 2

Revision 1.15  2004/05/06 18:09:29  ankry
- fixed perl-devel BR

Revision 1.14  2004/05/05 11:02:12  ankry
- cosmetics

Revision 1.13  2004/04/20 10:08:07  ankry
- new bconds

Revision 1.12  2004/04/19 22:22:14  ankry
- license/description fixes

Revision 1.11  2003/09/15 09:42:09  adamg
- updated to 0.11

Revision 1.10  2003/08/18 08:08:40  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.9  2003/06/23 23:41:07  radek
- included autosplit.ix

Revision 1.8  2003/05/28 13:00:33  malekith
- massive attack: source-md5

Revision 1.7  2003/05/25 06:24:34  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.6  2003/04/11 18:59:22  radek
- BR: perl-devel; do not BR: perl

Revision 1.5  2003/03/13 00:02:18  ankry
- merge from RA-branch: updated to 0.09

Revision 1.4  2003/03/11 17:09:11  qboosh
- fixed typo and unbalanced (

Revision 1.3  2003/03/01 18:05:15  radek
- should be ready for perl-5.8.0; release++

Revision 1.2  2003/02/25 00:38:32  radek
- use the __perl macro

Revision 1.1  2003/02/23 09:56:22  ankry
- new
